"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildSearchString = void 0;
const buildSearchString = (plainTransactions = []) => {
    const response = {};
    if (!(plainTransactions.length > 0)) {
        return response;
    }
    const keys = plainTransactions
        .map((transaction) => Object.keys(transaction))
        .reduce((accumulator, current) => [...accumulator, ...current], [])
        .filter((value, index, array) => array.indexOf(value) === index);
    keys.forEach((key) => {
        response[key] = plainTransactions.map((transaction) => transaction[key]);
    });
    return response;
};
exports.buildSearchString = buildSearchString;
//# sourceMappingURL=buildSearchString.js.map