"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNativeAuthTokenDomain = void 0;
const isString_1 = __importDefault(require("lodash/isString"));
const extractDomain_1 = require("./extractDomain");
const addHttpsToUrl_1 = require("../../helpers/navigation/addHttpsToUrl/addHttpsToUrl");
const sdkDappCore_1 = require("../../lib/sdkDappCore");
const getNativeAuthTokenDomain = ({ token, fallbackDomain }) => {
    if (!token || !(0, isString_1.default)(token)) {
        return fallbackDomain;
    }
    const decodedNativeAuthToken = (0, sdkDappCore_1.decodeLoginToken)(token);
    if (!decodedNativeAuthToken) {
        return fallbackDomain;
    }
    const origin = (0, addHttpsToUrl_1.addHttpsToUrl)(decodedNativeAuthToken.origin);
    const nativeAuthTokenDomain = (0, extractDomain_1.extractDomain)(origin).domain;
    return nativeAuthTokenDomain;
};
exports.getNativeAuthTokenDomain = getNativeAuthTokenDomain;
//# sourceMappingURL=getNativeAuthTokenDomain.js.map