export interface TransactionFieldsType {
    isMainnet: boolean;
    hookWhitelist?: string[];
    isSignHook?: boolean;
}
export declare const transactionFields: ({ isMainnet, hookWhitelist, isSignHook }: TransactionFieldsType) => {
    data: import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any>;
    token: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    sender: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    gasLimit: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    gasPrice: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    receiver: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    value: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
};
export declare const transactionSchema: ({ isMainnet }: TransactionFieldsType) => import("yup/lib/object").RequiredObjectSchema<{
    callbackUrl: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    data: import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any>;
    token: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    sender: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    gasLimit: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    gasPrice: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    receiver: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    value: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
}, import("yup/lib/object").AnyObject, import("yup/lib/object").TypeOfShape<{
    callbackUrl: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    data: import("yup/lib/mixed").MixedSchema<any, import("yup/lib/types").AnyObject, any>;
    token: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    sender: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    gasLimit: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    gasPrice: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
    receiver: import("yup/lib/string").RequiredStringSchema<string | undefined, import("yup/lib/types").AnyObject>;
    value: import("yup").StringSchema<string | undefined, import("yup/lib/types").AnyObject, string | undefined>;
}>>;
