"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLoginHookData = void 0;
const sdkDappCore_1 = require("../../lib/sdkDappCore");
const login_1 = require("../../hooks/helpers/login");
const parseQueryParams_1 = require("../../helpers/navigation/parseQueryParams");
const decodeAndSanitizeUrl_1 = require("../../helpers/navigation/decodeAndSanitizeUrl");
const getLoginHookData = (search) => {
    if (!search) {
        return null;
    }
    const hook = (0, parseQueryParams_1.parseQueryParams)(search);
    try {
        login_1.loginSchema.validateSync(hook, { strict: true });
        let callbackUrl = (0, decodeAndSanitizeUrl_1.decodeAndSanitizeUrl)(hook.callbackUrl);
        callbackUrl = (0, sdkDappCore_1.sanitizeCallbackUrl)(callbackUrl);
        return {
            ...hook,
            hookUrl: search,
            callbackUrl
        };
    }
    catch ({ errors }) {
        console.error('login hook format errors: ', errors);
    }
    return null;
};
exports.getLoginHookData = getLoginHookData;
//# sourceMappingURL=getLoginHookData.js.map