"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSignMessageHookData = void 0;
const index_1 = require("../../constants/index");
const parseQueryParams_1 = require("../../helpers/navigation/parseQueryParams");
const sanitizeSignHookCallbackUrl_1 = require("../../hooks/helpers/sanitizeSignHookCallbackUrl/sanitizeSignHookCallbackUrl");
const signMessage_1 = require("../../hooks/helpers/signMessage");
const getSignMessageHookData = (search) => {
    const hook = (0, parseQueryParams_1.parseQueryParams)(search);
    let isValid = false;
    try {
        signMessage_1.signMessageSchema.validateSync(hook, { strict: true });
        isValid = true;
    }
    catch ({ path, message }) {
        if (index_1.IS_DEVELOPMENT) {
            console.error('hook format errors: ', {
                [String(path)]: message
            });
        }
    }
    if (!isValid) {
        return null;
    }
    const { callbackUrl } = (0, sanitizeSignHookCallbackUrl_1.sanitizeSignHookCallbackUrl)({
        callbackUrl: hook.callbackUrl
    });
    return {
        hookUrl: search,
        callbackUrl
    };
};
exports.getSignMessageHookData = getSignMessageHookData;
//# sourceMappingURL=getSignMessageHookData.js.map