"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.replyToDapp = void 0;
const replyWithPostMessage_1 = require("./replyWithPostMessage");
const replyWithRedirect_1 = require("./replyWithRedirect");
const replyToDapp = (props, extensionReplyToDapp) => {
    const { transactionData, postMessageData, callbackUrl, webwiewApp } = props;
    // transaction hook URL reply
    if (!postMessageData) {
        return (0, replyWithRedirect_1.replyWithRedirect)({
            transactionData,
            callbackUrl
        });
    }
    if (window.opener || window.parent) {
        return (0, replyWithPostMessage_1.replyWithPostMessage)({
            postMessageData,
            target: window.opener ?? window.parent,
            callbackUrl
        });
    }
    if (extensionReplyToDapp) {
        return extensionReplyToDapp(postMessageData);
    }
    if (webwiewApp) {
        return (0, replyWithPostMessage_1.replyWithPostMessage)({ postMessageData, target: webwiewApp });
    }
    // URL reply
    (0, replyWithRedirect_1.replyWithRedirect)({
        data: postMessageData,
        callbackUrl
    });
};
exports.replyToDapp = replyToDapp;
//# sourceMappingURL=replyToDapp.js.map